Bug 509883 - Review Request: sipcalc - "advanced" console based ip subnet calculator
Review Request: sipcalc - "advanced" console based ip subnet calculator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 13:10 EDT by Gary T. Giesen
Modified: 2009-08-01 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.4-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 17:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gary T. Giesen 2009-07-06 13:10:59 EDT
Spec URL: http://dirtypackets.net/software/rpm/sipcalc/sipcalc.spec
SRPM URL: http://dirtypackets.net/software/rpm/sipcalc/sipcalc-1.1.4-1.src.rpm
Description: Sipcalc is an "advanced" console based ip subnet calculator

This is a new package, I am a new packager (this is my second package submitted for review) and I require a sponsor.
Comment 1 Susi Lehtola 2009-07-07 06:23:19 EDT
I've agreed to sponsor you, so no need for the NEEDSPONSOR tag.
Comment 2 Susi Lehtola 2009-07-07 06:38:55 EDT
rpmlint output:
sipcalc.src: W: name-repeated-in-summary Sipcalc
sipcalc.x86_64: W: name-repeated-in-summary Sipcalc
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

- Drop "Sipcalc is" from the summary.

Also, learn to run rpmlint on your packages. Whenever you make a submission you should post the output in the request.

- You might want to change the .gz of the manfile to .*, since it is possible that the compression format changes in the future.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSWORK
- Add ChangeLog to %doc.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 3 Susi Lehtola 2009-07-07 06:49:36 EDT
When you have done a few informal reviews I will formally approve this package and daemonize. I suggest doing them on e.g. python- packages, which you can find on the review queue [1].

Please review only packages that aren't tagged with the FE-NEEDSPONSOR tag, since I will have to check your review.

Also, have you gotten yourself a Fedora account and applied for packager group membership yet?


[1] http://fedoraproject.org/wiki/Package_Review_Process
Comment 4 Susi Lehtola 2009-07-07 06:50:19 EDT
(In reply to comment #3)
> When you have done a few informal reviews I will formally approve this package
> and daemonize. I suggest doing them on e.g. python- packages, which you can
> find on the review queue [1].

.. but of course first you have to fix the two issues raised in the review.
Comment 5 Gary T. Giesen 2009-07-07 11:05:02 EDT
I actually had run rpmlint (In reply to comment #2)
> rpmlint output:
> sipcalc.src: W: name-repeated-in-summary Sipcalc
> sipcalc.x86_64: W: name-repeated-in-summary Sipcalc
> 3 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
> - Drop "Sipcalc is" from the summary.
> 
Done.

> Also, learn to run rpmlint on your packages. Whenever you make a submission you
> should post the output in the request.

I had actually done an rpmlint on it:

[makerpm@centosvm SPECS]$ rpmlint -i sipcalc.spec ../SRPMS/sipcalc-1.1.4-1.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

[makerpm@centosvm SPECS]$ rpmlint --version
rpmlint version 0.85 Copyright (C) 1999-2007 Frederic Lepied, Mandriva

I guess maybe it's an older version since it's a CentOS 5 vm. I'm in the process of setting up a Fedora 11 VM to get more up-to-date packaging tools

I'll also make sure I post my rpmlint output in the future.
> 
> - You might want to change the .gz of the manfile to .*, since it is possible
> that the compression format changes in the future.
> 
Done

> 
> MUST: The package does not yet exist in Fedora. The Review Request is not a
> duplicate. OK
> MUST: The spec file for the package is legible and macros are used
> consistently. OK
> MUST: The package must be named according to the Package Naming Guidelines. OK
> MUST: The spec file name must match the base package %{name}. OK
> MUST: The package must be licensed with a Fedora approved license and meet the 
> Licensing Guidelines. OK
> MUST: The License field in the package spec file must match the actual license.
> OK
> MUST: The sources used to build the package must match the upstream source, as
> provided in the spec URL. OK
> MUST: The package MUST successfully compile and build into binary rpms. OK
> MUST: The spec file MUST handle locales properly. N/A
> MUST: Optflags are used and time stamps preserved. OK
> MUST: Packages containing shared library files must call ldconfig. N/A
> MUST: A package must own all directories that it creates or require the package
> that owns the directory. OK
> MUST: Files only listed once in %files listings. OK
> MUST: Debuginfo package is complete. OK
> MUST: Permissions on files must be set properly. OK
> MUST: Clean section exists. OK
> MUST: Large documentation files must go in a -doc subpackage. N/A
> 
> MUST: All relevant items are included in %doc. Items in %doc do not affect
> runtime of application. NEEDSWORK
> - Add ChangeLog to %doc.
> 
Done

> MUST: Header files must be in a -devel package. N/A
> MUST: Static libraries must be in a -static package. N/A
> MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
> MUST: If a package contains library files with a suffix then library files
> ending in .so must go in a -devel package. N/A
> MUST: In the vast majority of cases, devel packages must require the base
> package using a fully versioned dependency. N/A
> MUST: Packages does not contain any .la libtool archives. N/A
> MUST: Desktop files are installed properly. N/A
> MUST: No file conflicts with other packages and no general names. OK
> MUST: Buildroot cleaned before install. OK
> SHOULD: %{?dist} tag is used in release. OK
> SHOULD: If the package does not include license text(s) as separate files from
> upstream, the packager should query upstream to include it. OK
> SHOULD: The package builds in mock. OK  

Updated version posted.

[makerpm@centosvm SPECS]$ rpmlint -i sipcalc.spec ../SRPMS/sipcalc-1.1.4-2.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 6 Susi Lehtola 2009-07-08 05:17:57 EDT
The package has been

APPROVED.

Continue with the CVS procedure:

http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Contact me by email if you have problems importing, building and/or pushing the update.
Comment 7 Gary T. Giesen 2009-07-08 08:31:55 EDT
New Package CVS Request
=======================
Package Name: sipcalc
Short Description: "Advanced" console-based ip subnet calculator
Owners: giesen
Branches: F-10 F-11 EL-4 EL-5
InitialCC:
Comment 8 Jason Tibbitts 2009-07-08 12:33:21 EDT
CVS done.
Comment 9 Fedora Update System 2009-07-15 15:25:54 EDT
sipcalc-1.1.4-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/sipcalc-1.1.4-3.el4
Comment 10 Fedora Update System 2009-07-15 15:25:59 EDT
sipcalc-1.1.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sipcalc-1.1.4-3.fc11
Comment 11 Fedora Update System 2009-07-15 15:26:03 EDT
sipcalc-1.1.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sipcalc-1.1.4-3.fc10
Comment 12 Fedora Update System 2009-07-15 15:26:08 EDT
sipcalc-1.1.4-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/sipcalc-1.1.4-3.el5
Comment 13 Fedora Update System 2009-07-16 16:06:40 EDT
sipcalc-1.1.4-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipcalc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0084
Comment 14 Fedora Update System 2009-07-16 16:06:45 EDT
sipcalc-1.1.4-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipcalc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0088
Comment 15 Fedora Update System 2009-07-19 06:09:35 EDT
sipcalc-1.1.4-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipcalc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7706
Comment 16 Fedora Update System 2009-07-19 06:12:11 EDT
sipcalc-1.1.4-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sipcalc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7720
Comment 17 Fedora Update System 2009-07-31 17:28:05 EDT
sipcalc-1.1.4-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-07-31 17:28:30 EDT
sipcalc-1.1.4-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-08-01 20:01:07 EDT
sipcalc-1.1.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-08-01 20:02:01 EDT
sipcalc-1.1.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.